/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.acct.db;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public class AcctDbIdGenSeq implements AcctDbIdGen {
	private int infoId;
	public AcctDbIdGenSeq() {
		this(0);
	}
	public AcctDbIdGenSeq(int infoId) {
		this.infoId = infoId;
	}
	public AcctDbIdGenSeq(EntityManager em) {
		Query qi = em.createQuery("SELECT MAX(o.id) FROM AcctDbInfo AS o");
		Number maxeid = (Number)qi.getSingleResult();
		if(maxeid != null) {
			infoId = maxeid.intValue();
		} else {
			infoId = 0;
		}
	}
	public int getInfoId() {
		infoId++;
		return infoId;
	}
}
