/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.acct.db;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

@Entity
@Table(name="acctinfoprint")
@PrimaryKeyJoinColumn(name="aiid")
public class AcctDbInfoPrint extends AcctDbInfo {
	private int pageCount;
	public AcctDbInfoPrint() {
		super();
		this.pageCount = 0;
	}
	public AcctDbInfoPrint(int id, Date sysTime, String username, String pid, int pageCount) {
		super(id, "Print", sysTime, username, pid);
		this.pageCount = pageCount;
	}
	@Column(name="aippagecount")
	public int getPageCount() {
		return pageCount;
	}
	public void setPageCount(int pageCount) {
		this.pageCount = pageCount;
	}
}
