/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.acct.db;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

@Entity
@Table(name="acctinfoprocess")
@PrimaryKeyJoinColumn(name="aiid")
public class AcctDbInfoProcess extends AcctDbInfo {
	private String procType;
	private Date loginTime;
	private int cpuTime;
	private int memory;
	private int bio;
	private int dio;
	public AcctDbInfoProcess() {
		super();
		this.procType = "";
		this.loginTime = new Date();
		this.cpuTime = 0;
		this.memory = 0;
		this.bio = 0;
		this.dio = 0;
	}
	public AcctDbInfoProcess(int id, Date sysTime, String username, String pid, String procType, Date loginTime, int cpuTime, int memory, int bio, int dio) {
		super(id, "Process", sysTime, username, pid);
		this.procType = procType;
		this.loginTime = loginTime;
		this.cpuTime = cpuTime;
		this.memory = memory;
		this.bio = bio;
		this.dio = dio;
	}
	@Column(name="aipproctype")
	public String getProcType() {
		return procType;
	}
	public void setProcType(String procType) {
		this.procType = procType;
	}
	@Column(name="aiplogintime")
	public Date getLoginTime() {
		return loginTime;
	}
	public void setLoginTime(Date loginTime) {
		this.loginTime = loginTime;
	}
	@Column(name="aipcputime")
	public int getCpuTime() {
		return cpuTime;
	}
	public void setCpuTime(int cpuTime) {
		this.cpuTime = cpuTime;
	}
	@Column(name="aipmemory")
	public int getMemory() {
		return memory;
	}
	public void setMemory(int memory) {
		this.memory = memory;
	}
	@Column(name="aipbio")
	public int getBio() {
		return bio;
	}
	public void setBio(int bio) {
		this.bio = bio;
	}
	@Column(name="aipdio")
	public int getDio() {
		return dio;
	}
	public void setDio(int dio) {
		this.dio = dio;
	}
}
